Index: dpkg-deb/Makefile.in
--- dpkg-deb/Makefile.in.orig	2008-03-30 11:58:18 +0200
+++ dpkg-deb/Makefile.in	2008-04-01 21:56:55 +0200
@@ -213,8 +213,7 @@
 	main.c
 
 dpkg_deb_LDADD = \
-	../libcompat/libcompat.a \
-	$(LIBINTL) ../lib/libdpkg.a $(ZLIB_LIBS) $(BZ2_LIBS) $(SELINUX_LIBS)
+	$(LIBINTL) ../lib/libdpkg.a $(ZLIB_LIBS) $(BZ2_LIBS) $(SELINUX_LIBS) ../libcompat/libcompat.a
 
 all: all-am
 
Index: dpkg-split/Makefile.in
--- dpkg-split/Makefile.in.orig	2008-03-30 11:58:18 +0200
+++ dpkg-split/Makefile.in	2008-04-01 21:57:43 +0200
@@ -217,9 +217,8 @@
 	split.c
 
 dpkg_split_LDADD = \
-	../libcompat/libcompat.a \
 	$(LIBINTL) \
-	../lib/libdpkg.a
+	../lib/libdpkg.a ../libcompat/libcompat.a
 
 pkglib_SCRIPTS = mksplit
 EXTRA_DIST = mksplit.pl
Index: dselect/Makefile.in
--- dselect/Makefile.in.orig	2008-03-30 11:58:18 +0200
+++ dselect/Makefile.in	2008-04-01 21:56:55 +0200
@@ -249,10 +249,9 @@
 	pkgtop.cc
 
 dselect_LDADD = \
-	../libcompat/libcompat.a \
 	$(LIBINTL) \
 	$(CURSES_LIBS) \
-	../lib/libdpkg.a
+	../lib/libdpkg.a ../libcompat/libcompat.a
 
 EXTRA_DIST = keyoverride mkcurkeys.pl
 CLEANFILES = curkeys.h
@@ -640,8 +639,8 @@
 
 curkeys.$(OBJEXT): curkeys.h
 curkeys.h: $(srcdir)/keyoverride $(srcdir)/mkcurkeys.pl
-	cursesfile=`echo '#include <ncursesw/curses.h>' | \
-		$(CC) -E - | grep 'curses.h' | head -n 1 | \
+	cursesfile=`echo '#include <ncurses/curses.h>' | \
+		$(CC) $(CPPFLAGS) -E - | grep 'curses.h' | head -n 1 | \
 		sed -e 's/^[^"]*"//; s/".*$$//'`; \
 	if [ "$$cursesfile" = "" ]; then \
 		echo "can't find curses file"; exit 1; \
Index: dselect/dselect.h
--- dselect/dselect.h.orig	2008-03-30 11:57:41 +0200
+++ dselect/dselect.h	2008-04-01 21:56:55 +0200
@@ -28,7 +28,7 @@
 
 #include <signal.h>
 #undef ERR
-#include <ncursesw/curses.h>
+#include <ncurses/curses.h>
 
 struct helpmenuentry {
   char key;
Index: dselect/main.cc
--- dselect/main.cc.orig	2008-03-30 11:57:41 +0200
+++ dselect/main.cc	2008-04-01 21:56:55 +0200
@@ -37,7 +37,7 @@
 #include <ctype.h>
 #include <assert.h>
 
-#include <ncursesw/term.h>
+#include <ncurses/term.h>
 
 extern "C" {
 #include <dpkg.h>
Index: lib/tarfn.c
--- lib/tarfn.c.orig	2008-03-30 10:58:51 +0200
+++ lib/tarfn.c	2008-04-01 21:56:55 +0200
@@ -62,7 +62,9 @@
 	int	len;
 	char *	str;
 
-	len = strnlen(s, size);
+	len = strlen(s);
+    if (len > size)
+        len = size;
 	str = m_malloc(len + 1);
 	memcpy(str, s, len);
 	str[len] = 0;
Index: man/Makefile.in
--- man/Makefile.in.orig	2008-03-30 11:58:18 +0200
+++ man/Makefile.in	2008-04-01 21:56:55 +0200
@@ -189,7 +189,7 @@
 top_srcdir = @top_srcdir@
 
 # Extract the list of languages from the po4a config file.
-LINGUAS = $(shell sed -ne 's/^.*\[po4a_langs\] \(.*\)$$/\1/p' $(srcdir)/po/po4a.cfg)
+LINGUAS =
 dist_man_MANS = \
 	822-date.1 \
 	cleanup-info.8 \
@@ -540,7 +540,7 @@
 all-local: all-local-@USE_NLS@
 
 all-local-no:
-all-local-yes: man.stamp
+all-local-yes:
 
 # FIXME: Use a stamp file until po4a supports them internally.
 man.stamp:
Index: scripts/Makefile.in
--- scripts/Makefile.in.orig	2008-03-30 11:58:19 +0200
+++ scripts/Makefile.in	2008-04-01 21:56:55 +0200
@@ -757,8 +757,8 @@
 	$(INSTALL_SCRIPT) install-info $(DESTDIR)$(sbindir)
 
 install-data-local:
-	$(mkdir_p) $(DESTDIR)$(sysconfdir)/alternatives
-	$(INSTALL_DATA) $(srcdir)/README.alternatives $(DESTDIR)$(sysconfdir)/alternatives/README
+	$(mkdir_p) $(DESTDIR)$(sysconfdir)/dpkg/alternatives
+	$(INSTALL_DATA) $(srcdir)/README.alternatives $(DESTDIR)$(sysconfdir)/dpkg/alternatives/README
 
 # Ideally we'd use 'sed -i', but unfortunately that's not portable.
 install-data-hook:
Index: src/Makefile.in
--- src/Makefile.in.orig	2008-03-30 11:58:19 +0200
+++ src/Makefile.in	2008-04-01 21:56:55 +0200
@@ -239,8 +239,8 @@
 	update.c
 
 dpkg_LDADD = \
-	../libcompat/libcompat.a \
-	$(LIBINTL) ../lib/libdpkg.a $(ZLIB_LIBS) $(BZ2_LIBS) $(SELINUX_LIBS)
+	\
+	$(LIBINTL) ../lib/libdpkg.a $(ZLIB_LIBS) $(BZ2_LIBS) $(SELINUX_LIBS) ../libcompat/libcompat.a 
 
 dpkg_query_SOURCES = \
 	errors.c \
@@ -248,17 +248,17 @@
 	query.c
 
 dpkg_query_LDADD = \
-	../libcompat/libcompat.a \
+	\
 	$(LIBINTL) \
-	../lib/libdpkg.a
+	../lib/libdpkg.a ../libcompat/libcompat.a 
 
 dpkg_trigger_SOURCES = \
 	trigcmd.c
 
 dpkg_trigger_LDADD = \
-	../libcompat/libcompat.a \
+	\
 	$(LIBINTL) \
-	../lib/libdpkg.a
+	../lib/libdpkg.a ../libcompat/libcompat.a 
 
 all: all-am
 
